idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell2010

Idris.Elab.AsPat

Description

Synopsis

- desugarAs :: PTerm -> PTerm -> [PDecl] -> (PTerm, PTerm, [PDecl])

# Documentation

desugarAs :: PTerm -> PTerm -> [PDecl] -> (PTerm, PTerm, [PDecl]) #

Desugar by changing x@y on lhs to let x = y in ... or rhs